Docs
Checklists

Get a version

GET/checklists/{id}/versions/{versionId}Needscontent.view

One version with its full snapshot (the exact content that was published).

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Path Parameters

id*integer

The checklist's id.

Range1 <= value
versionId*integer

The version's id (from the versions list).

Range1 <= value

Response Body

OK

application/json
  1. response
version*

An immutable published snapshot of an item.

Shell
curl -X GET 'https://app.cueston.com/api/checklists/1/versions/1'
Example Response
JSON
{
  "version": {
    "id": 42,
    "version": 3,
    "note": "Clearer copy on step 2",
    "hash": "7090a4327d58d501f1d2894b7f5148994c165ad4c232de0e817493669e4e9a59",
    "createdBy": {
      "id": 42,
      "name": "Ada Lovelace",
      "email": "ada@acme.com"
    },
    "createdAt": "2026-10-26T09:30:00Z",
    "environments": [
      "production"
    ],
    "snapshot": {}
  }
}